Bug 1409926 - Review Request: scratch-text-editor - The text editor that works
Summary: Review Request: scratch-text-editor - The text editor that works
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2017-01-03 21:57 UTC by Fabio Valentini
Modified: 2017-11-11 17:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-07 21:49:59 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-01-03 21:57:44 UTC
Spec URL: https://raw.githubusercontent.com/decathorpe/fedora-packaging/c35fea91c79e99686c299688c58297034e3c48b8/specs/scratch-text-editor/scratch-text-editor.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/decathorpe/staging/fedora-25-x86_64/00495163-scratch-text-editor/scratch-text-editor-2.3-7.fc25.src.rpm

Description: Scratch is the text editor that works for you. It auto-saves your files, meaning they're always up-to-date. Plus it remembers your tabs so you never lose your spot, even in between sessions.

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=17158851

COPR build for rawhide and f25: https://copr.fedorainfracloud.org/coprs/decathorpe/staging/build/495163/

This package was already available via my elementary-stable/nightly COPR repository.


Comment on the occurring "spelling-error" rpmlint errors:
Ignore those, they aren't spelling errors at all.

Comment on the occurring "incorrect-fsf-address" rpmlint errors:
I have reported this as a bug upstream at [0] and it seems this should be fixed with the next release.

Comment on the occurring "invalid-lc-messages-dir" rpmlint errors:
These errors don't seem to apply to fedora, since many already existing packages put translation files there (mainly those translated through launchpad/rosetta, I think).


[0]: https://bugs.launchpad.net/scratch/+bug/1653413

Comment 1 Neal Gompa 2017-01-03 21:59:43 UTC
Taking this review.

Comment 2 Neal Gompa 2017-01-03 22:12:11 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "BSD (2
     clause)", "LGPL (v3)", "GPL (v3 or later)", "Unknown or generated".
     319 files have unknown license. Detailed output of licensecheck in
     /home/makerpm/1409926-scratch-text-editor/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/ckb,
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/ckb/LC_MESSAGES,
     /usr/share/locale/rue
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/ckb,
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/rue,
     /usr/share/locale/ckb/LC_MESSAGES
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/scratch(scratch-
     image)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in scratch-
     text-editor-devel , scratch-text-editor-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1300480 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: scratch-text-editor-2.3-7.fc26.x86_64.rpm
          scratch-text-editor-devel-2.3-7.fc26.x86_64.rpm
          scratch-text-editor-debuginfo-2.3-7.fc26.x86_64.rpm
          scratch-text-editor-2.3-7.fc26.src.rpm
scratch-text-editor.x86_64: W: spelling-error %description -l en_US Cmake -> Make, C make, Cake
scratch-text-editor.x86_64: W: spelling-error %description -l en_US ini -> uni, in, ii
scratch-text-editor.x86_64: W: spelling-error %description -l en_US gtksourceview -> Sourceforge
scratch-text-editor.x86_64: W: no-manual-page-for-binary scratch-text-editor
scratch-text-editor.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/scratch-text-editor.mo
scratch-text-editor.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/scratch-text-editor.mo
scratch-text-editor-devel.x86_64: W: only-non-binary-in-usr-lib
scratch-text-editor-devel.x86_64: W: no-documentation
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/build/plugins/word-completion/engine.c
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/build/plugins/word-completion/plugin.c
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/plugins/word-completion/plugin.vala
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/build/plugins/word-completion/completion-provider.c
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/plugins/word-completion/engine.vala
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/plugins/word-completion/completion-provider.vala
scratch-text-editor.src: W: spelling-error %description -l en_US Cmake -> Make, C make, Cake
scratch-text-editor.src: W: spelling-error %description -l en_US ini -> uni, in, ii
scratch-text-editor.src: W: spelling-error %description -l en_US gtksourceview -> Sourceforge
4 packages and 0 specfiles checked; 8 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: scratch-text-editor-debuginfo-2.3-7.fc26.x86_64.rpm
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/plugins/word-completion/completion-provider.vala
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/build/plugins/word-completion/completion-provider.c
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/plugins/word-completion/engine.vala
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/build/plugins/word-completion/plugin.c
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/plugins/word-completion/plugin.vala
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/build/plugins/word-completion/engine.c
1 packages and 0 specfiles checked; 6 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
scratch-text-editor-devel.x86_64: W: only-non-binary-in-usr-lib
scratch-text-editor-devel.x86_64: W: no-documentation
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/build/plugins/word-completion/completion-provider.c
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/build/plugins/word-completion/engine.c
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/build/plugins/word-completion/plugin.c
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/plugins/word-completion/completion-provider.vala
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/plugins/word-completion/engine.vala
scratch-text-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scratch-text-editor-2.3/plugins/word-completion/plugin.vala
scratch-text-editor.x86_64: W: spelling-error %description -l en_US Cmake -> Make, C make, Cake
scratch-text-editor.x86_64: W: spelling-error %description -l en_US ini -> uni, in, ii
scratch-text-editor.x86_64: W: spelling-error %description -l en_US gtksourceview -> Sourceforge
scratch-text-editor.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscratchcore.so.0.0 /lib64/libgmodule-2.0.so.0
scratch-text-editor.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscratchcore.so.0.0 /lib64/libgirepository-1.0.so.1
scratch-text-editor.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscratchcore.so.0.0 /lib64/libgthread-2.0.so.0
scratch-text-editor.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscratchcore.so.0.0 /lib64/libpangocairo-1.0.so.0
scratch-text-editor.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscratchcore.so.0.0 /lib64/libatk-1.0.so.0
scratch-text-editor.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscratchcore.so.0.0 /lib64/libcairo-gobject.so.2
scratch-text-editor.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscratchcore.so.0.0 /lib64/libcairo.so.2
scratch-text-editor.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscratchcore.so.0.0 /lib64/libgdk_pixbuf-2.0.so.0
scratch-text-editor.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscratchcore.so.0.0 /lib64/libm.so.6
scratch-text-editor.x86_64: W: no-manual-page-for-binary scratch-text-editor
scratch-text-editor.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/scratch-text-editor.mo
scratch-text-editor.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/scratch-text-editor.mo
3 packages and 0 specfiles checked; 8 errors, 15 warnings.



Requires
--------
scratch-text-editor-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libscratchcore.so.0()(64bit)
    pkgconfig(gee-0.8)
    pkgconfig(granite)
    pkgconfig(gtk+-3.0)
    pkgconfig(libsoup-2.4)
    scratch-text-editor(x86-64)

scratch-text-editor-debuginfo (rpmlib, GLIBC filtered):

scratch-text-editor (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libenchant.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libgirepository-1.0.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnutls.so.30()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgranite.so.3()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgtksourceview-3.0.so.1()(64bit)
    libgtkspell3-3.so.0()(64bit)
    libjavascriptcoregtk-3.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpcre2-8.so.0()(64bit)
    libpeas-1.0.so.0()(64bit)
    libpeas-gtk-1.0.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libvala-0.34.so.0()(64bit)
    libvte-2.91.so.0()(64bit)
    libwebkitgtk-3.0.so.0()(64bit)
    libz.so.1()(64bit)
    libzeitgeist-2.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
scratch-text-editor-devel:
    pkgconfig(scratchcore)
    scratch-text-editor-devel
    scratch-text-editor-devel(x86-64)

scratch-text-editor-debuginfo:
    scratch-text-editor-debuginfo
    scratch-text-editor-debuginfo(x86-64)

scratch-text-editor:
    appdata()
    appdata(scratch-text-editor.appdata.xml)
    application()
    application(scratch-text-editor.desktop)
    libbrackets-completion.so()(64bit)
    libbrowser-preview.so()(64bit)
    libclipboard-history.so()(64bit)
    libcontractor.so()(64bit)
    libdetect-indent.so()(64bit)
    libfilemanager.so()(64bit)
    libfolder-manager.so()(64bit)
    libhighlight-word-selection.so()(64bit)
    libopen-with.so()(64bit)
    liboutline.so()(64bit)
    libpastebin.so()(64bit)
    libpreserve-indent.so()(64bit)
    libscratchcore.so.0()(64bit)
    libsource-tree.so()(64bit)
    libspell.so()(64bit)
    libstrip-trailing-save.so()(64bit)
    libterminal.so()(64bit)
    libvim-emulation.so()(64bit)
    libword-completion.so()(64bit)
    mimehandler(text/plain)
    scratch-text-editor
    scratch-text-editor(x86-64)



Unversioned so-files
--------------------
scratch-text-editor: /usr/lib64/scratch/plugins/brackets-completion/libbrackets-completion.so
scratch-text-editor: /usr/lib64/scratch/plugins/browser-preview/libbrowser-preview.so
scratch-text-editor: /usr/lib64/scratch/plugins/clipboard-history/libclipboard-history.so
scratch-text-editor: /usr/lib64/scratch/plugins/contractor/libcontractor.so
scratch-text-editor: /usr/lib64/scratch/plugins/detect-indent/libdetect-indent.so
scratch-text-editor: /usr/lib64/scratch/plugins/filemanager/libfilemanager.so
scratch-text-editor: /usr/lib64/scratch/plugins/folder-manager/libfolder-manager.so
scratch-text-editor: /usr/lib64/scratch/plugins/highlight-word-selection/libhighlight-word-selection.so
scratch-text-editor: /usr/lib64/scratch/plugins/open-with/libopen-with.so
scratch-text-editor: /usr/lib64/scratch/plugins/outline/liboutline.so
scratch-text-editor: /usr/lib64/scratch/plugins/pastebin/libpastebin.so
scratch-text-editor: /usr/lib64/scratch/plugins/preserve-indent/libpreserve-indent.so
scratch-text-editor: /usr/lib64/scratch/plugins/source-tree/libsource-tree.so
scratch-text-editor: /usr/lib64/scratch/plugins/spell/libspell.so
scratch-text-editor: /usr/lib64/scratch/plugins/strip-trailing-save/libstrip-trailing-save.so
scratch-text-editor: /usr/lib64/scratch/plugins/terminal/libterminal.so
scratch-text-editor: /usr/lib64/scratch/plugins/vim-emulation/libvim-emulation.so
scratch-text-editor: /usr/lib64/scratch/plugins/word-completion/libword-completion.so

Source checksums
----------------
https://launchpad.net/scratch/2.x/2.3/+download/scratch-text-editor-2.3.tar.xz :
  CHECKSUM(SHA256) this package     : 529f7d3ee8d6ca173b9adeb8063accdf10d1874eb95ea66602c27e3142977bd7
  CHECKSUM(SHA256) upstream package : 529f7d3ee8d6ca173b9adeb8063accdf10d1874eb95ea66602c27e3142977bd7


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1409926 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Neal Gompa 2017-01-03 22:13:06 UTC
The rpmlint issues were already known and expected.

I see nothing wrong with this package, so...

PACKAGE APPROVED.

Comment 4 Gwyn Ciesla 2017-01-04 03:37:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/scratch-text-editor

Comment 5 Fedora Update System 2017-01-04 11:28:59 UTC
scratch-text-editor-2.3-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bde72325e6

Comment 6 Fedora Update System 2017-01-04 23:29:24 UTC
scratch-text-editor-2.3-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bde72325e6

Comment 7 Fedora Update System 2017-01-07 21:49:59 UTC
scratch-text-editor-2.3-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.